import "./app.css";
import App from "./App.svelte";

/* const app = new App({
  target: document.getElementById('app'),
})

export default app */

export default ({ root }: { root: HTMLElement }) => {
  if (import.meta.env.DEV && !(root instanceof HTMLElement)) {
    throw new Error(
      "Root element not found. Did you forget to add it to your index.html? Or maybe the id attribute got mispelled?",
    );
  }
  //@ts-ignore deez nuts
  const app = new App({
    target: root,
  });
  return () => root.innerHTML = "";
};
